com.mysql.cj.telemetry

## Enum TelemetryAttribute

- java.lang.Object
- - java.lang.Enum<TelemetryAttribute>
  - - com.mysql.cj.telemetry.TelemetryAttribute

All Implemented Interfaces:
  Serializable, Comparable<TelemetryAttribute>

    public enum TelemetryAttribute
    extends Enum<TelemetryAttribute>

List of supported telemetry attributes and operation values.

### Enum Constant Summary

Enum Constants
`DB_CONNECTION_STRING`
`DB_NAME`
`DB_OPERATION`
`DB_STATEMENT`
`DB_SYSTEM`
`DB_USER`
`NETWORK_PEER_ADDRESS`
`NETWORK_PEER_PORT`
`NETWORK_TRANSPORT`
`SERVER_ADDRESS`
`SERVER_PORT`
`THREAD_ID`
`THREAD_NAME`

### Field Summary

Fields
`static String` `DB_SYSTEM_DEFAULT`
`private String` `key`
`static String` `NETWORK_TRANSPORT_PIPE`
`static String` `NETWORK_TRANSPORT_TCP`
`static String` `NETWORK_TRANSPORT_UNIX`
`static String` `OPERATION_BATCH`
`static String` `OPERATION_COMMIT`
`static String` `OPERATION_CREATE`
`static String` `OPERATION_EXPLAIN`
`static String` `OPERATION_INIT_DB`
`static String` `OPERATION_KILL`
`static String` `OPERATION_PING`
`static String` `OPERATION_ROLLBACK`
`static String` `OPERATION_SELECT`
`static String` `OPERATION_SET`
`static String` `OPERATION_SHOW`
`static String` `OPERATION_SHUTDOWN`
`static String` `OPERATION_USE`
`static String` `STATEMENT_SUFFIX`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getKey()`
`static TelemetryAttribute` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TelemetryAttribute[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DB_NAME

    public static final TelemetryAttribute DB_NAME

#### DB_OPERATION

    public static final TelemetryAttribute DB_OPERATION

#### DB_STATEMENT

    public static final TelemetryAttribute DB_STATEMENT

#### DB_CONNECTION_STRING

    public static final TelemetryAttribute DB_CONNECTION_STRING

#### DB_SYSTEM

    public static final TelemetryAttribute DB_SYSTEM

#### DB_USER

    public static final TelemetryAttribute DB_USER

#### NETWORK_PEER_ADDRESS

    public static final TelemetryAttribute NETWORK_PEER_ADDRESS

#### NETWORK_PEER_PORT

    public static final TelemetryAttribute NETWORK_PEER_PORT

#### NETWORK_TRANSPORT

    public static final TelemetryAttribute NETWORK_TRANSPORT

#### SERVER_ADDRESS

    public static final TelemetryAttribute SERVER_ADDRESS

#### SERVER_PORT

    public static final TelemetryAttribute SERVER_PORT

#### THREAD_ID

    public static final TelemetryAttribute THREAD_ID

#### THREAD_NAME

    public static final TelemetryAttribute THREAD_NAME

### Field Detail

#### key

    private String key

#### DB_SYSTEM_DEFAULT

    public static final String DB_SYSTEM_DEFAULT

See Also:
  Constant Field Values

#### NETWORK_TRANSPORT_TCP

    public static final String NETWORK_TRANSPORT_TCP

See Also:
  Constant Field Values

#### NETWORK_TRANSPORT_UNIX

    public static final String NETWORK_TRANSPORT_UNIX

See Also:
  Constant Field Values

#### NETWORK_TRANSPORT_PIPE

    public static final String NETWORK_TRANSPORT_PIPE

See Also:
  Constant Field Values

#### STATEMENT_SUFFIX

    public static final String STATEMENT_SUFFIX

See Also:
  Constant Field Values

#### OPERATION_BATCH

    public static final String OPERATION_BATCH

See Also:
  Constant Field Values

#### OPERATION_COMMIT

    public static final String OPERATION_COMMIT

See Also:
  Constant Field Values

#### OPERATION_CREATE

    public static final String OPERATION_CREATE

See Also:
  Constant Field Values

#### OPERATION_EXPLAIN

    public static final String OPERATION_EXPLAIN

See Also:
  Constant Field Values

#### OPERATION_INIT_DB

    public static final String OPERATION_INIT_DB

See Also:
  Constant Field Values

#### OPERATION_KILL

    public static final String OPERATION_KILL

See Also:
  Constant Field Values

#### OPERATION_PING

    public static final String OPERATION_PING

See Also:
  Constant Field Values

#### OPERATION_ROLLBACK

    public static final String OPERATION_ROLLBACK

See Also:
  Constant Field Values

#### OPERATION_SELECT

    public static final String OPERATION_SELECT

See Also:
  Constant Field Values

#### OPERATION_SET

    public static final String OPERATION_SET

See Also:
  Constant Field Values

#### OPERATION_SHOW

    public static final String OPERATION_SHOW

See Also:
  Constant Field Values

#### OPERATION_SHUTDOWN

    public static final String OPERATION_SHUTDOWN

See Also:
  Constant Field Values

#### OPERATION_USE

    public static final String OPERATION_USE

See Also:
  Constant Field Values

### Method Detail

#### values

    public static TelemetryAttribute[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TelemetryAttribute c : TelemetryAttribute.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TelemetryAttribute valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getKey

    public String getKey()

Copyright © 2016, 2025, Oracle and/or its affiliates.